"""
File: extension.py
-----------------
We've provided the starter code for Breakout, but feel
free to remove or change whatever you'd like for your
extension!
"""

from graphics import Canvas
import random
import time

# Step 1: Set up the bricks

# Dimensions of the canvas
CANVAS_WIDTH = 500
CANVAS_HEIGHT = 600

# Number of bricks in each row
N_BRICK_COLUMNS = 10

# Number of rows of bricks
N_BRICK_ROWS = 10

# Separation between neighboring bricks, in pixels
BRICK_SEP = 4

# Width of each brick, in pixels
BRICK_WIDTH = (CANVAS_WIDTH-BRICK_SEP * (N_BRICK_COLUMNS + 1)) // N_BRICK_COLUMNS

# Height of each brick, in pixels
BRICK_HEIGHT = 10

# Offset of the top brick row from the top of the canvas, in pixels
BRICK_Y_OFFSET = 70

# List of colors for the bricks
COLORS = ['red', 'orange', 'yellow', 'green', 'blue']

# Step 2: Create the bouncing ball

# Radius of the ball in pixels
BALL_RADIUS = 10

# The ball's vertical velocity
VELOCITY_Y = 6.0

# The ball's minimum and maximum horizontal velocity; the bounds of the
# initial random velocity that you should choose (randomly +/-).
VELOCITY_X_MIN = 2.0
VELOCITY_X_MAX = 6.0

# Animation delay or pause time between ball moves (in seconds)
DELAY = 1 / 120

# Stage 3: Create the Paddle

# Dimensions of the paddle
PADDLE_WIDTH = 70
PADDLE_HEIGHT = 15

# How far up the top of the paddle is from bottom of the canvas
PADDLE_Y_OFFSET = 50

# Stage 5: Finishing touches

# Number of turns
N_TURNS = 3

BOUNCE_SOUND_MAC = "bounce.au"
BOUNCE_SOUND_WINDOWS = "bounce.wav"


def main():
    canvas = Canvas(CANVAS_WIDTH, CANVAS_HEIGHT, 'Extension')

    # TODO: IMPLEMENT (OPTIONAL) EXTENSION!
    
    canvas.mainloop()


if __name__ == '__main__':
    main()
